List subscriptions
curl --request GET \
--url https://api.platform.bitnob.com/subscriptions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/subscriptions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/subscriptions")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"chain": "ethereum",
"created_at": "2026-05-16T10:30:00Z",
"event_type": "incoming_token_tx",
"has_signing_secret": true,
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"label": "Customer deposit monitor",
"last_event_at": "2026-05-16T10:30:00Z",
"network": "mainnet",
"object": "subscription",
"status": "active",
"updated_at": "2026-05-16T10:30:00Z",
"webhook_url": "https://example.com/webhooks/bitnob"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Subscriptions
List subscriptions
Returns a paginated list of subscriptions for the organization. Filterable by chain, network, status.
GET
/
subscriptions
List subscriptions
curl --request GET \
--url https://api.platform.bitnob.com/subscriptions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.platform.bitnob.com/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.bitnob.com/subscriptions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platform.bitnob.com/subscriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.bitnob.com/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platform.bitnob.com/subscriptions")
.header("X-API-Key", "<api-key>")
.asString();{
"data": [
{
"address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"chain": "ethereum",
"created_at": "2026-05-16T10:30:00Z",
"event_type": "incoming_token_tx",
"has_signing_secret": true,
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"label": "Customer deposit monitor",
"last_event_at": "2026-05-16T10:30:00Z",
"network": "mainnet",
"object": "subscription",
"status": "active",
"updated_at": "2026-05-16T10:30:00Z",
"webhook_url": "https://example.com/webhooks/bitnob"
}
],
"has_more": false,
"next_cursor": "",
"object": "list",
"url": ""
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "<string>"
}
}Authorizations
Headers
API version (defaults to the latest supported version if omitted).
Available options:
v1 Query Parameters
Opaque cursor; returns the page after this item.
Opaque cursor; returns the page before this item.
Page size; bounded by the endpoint maximum.
Filter by chain.
Filter by network (e.g. mainnet, testnet).
Filter by subscription status.